Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

List my API keys

Lists the authenticated user’s API keys (never the hash or the plaintext secret).

GET/api-keys
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Query parameters
limitinteger

1-100, default 20

default: 20
cursorstring
Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Responses
200

OK

dataApiKey[]required
Show properties
Array of ApiKey
idstringrequired
namestringrequired
scopeApiKeyScoperequired
Allowed:readwrite
keyPrefixstringrequired
lastUsedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
expiresAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
revokedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
createdAtstring<date-time>required
matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
pagePagerequired
Show properties
nextCursorstring | nullrequired
Show properties
Any of:
string
string
null
null
hasMorebooleanrequired
totalinteger
min -9007199254740991 · max 9007199254740991
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://admin.appfreeticket.com/api/v1/api-keys' \
  -H 'Authorization: YOUR_API_KEY'
Response
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "scope": "read",
      "keyPrefix": "string",
      "lastUsedAt": "2019-08-24T14:15:22Z",
      "expiresAt": "2019-08-24T14:15:22Z",
      "revokedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "page": {
    "nextCursor": "string",
    "hasMore": true,
    "total": -9007199254740991
  }
}